al_set_exe_name(3)

NAME

al_set_exe_name - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_exe_name(char const *path)

DESCRIPTION

This override the executable name used by al_get_standard_path(3) for ALLEGRO_EXENAME_PATH and ALLEGRO_RESOURCES_PATH.

One possibility where changing this can be useful is if you use the Python wrapper. Allegro would then by default think that the system's Python executable is the current executable - but you can set it to the .py file being executed instead.

SINCE

5.0.6, 5.1.0

SEE ALSO

al_get_standard_path(3)